**Source URL:** https://limited.veevavault.dev/commercial/vault-api/api-reference/26.1/document-binder-roles/binder-roles/remove-users-groups-from-roles-on-a-single-binder

# Remove Users & Groups from Roles on a Single Binder

<Aside>
To remove users and groups from roles on multiple binders, use the [Remove Users & Groups from Roles on Multiple Documents & Binders](/commercial/vault-api/api-reference/26.1/document-binder-roles/document-roles/remove-users-groups-from-roles-on-multiple-documents-binders) endpoint.
</Aside>

Remove users and groups from roles on a single binder.

<Endpoint path="/api/{version}/objects/binders/{binder_id}/roles/{role_name_and_user_or_group}/{id}" method="DELETE" />

## Headers

| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |

## URI Path Parameters

| Name | Description |
| --- | --- |
| `{binder_id}` | The `id` value of the binder from which to remove roles. |
| `{role_name_and_user_or_group}` | The name of the role from which to remove the user or group followed by either `user` or `group`. The format is `{role_name}.{user_or_group}`. For example, `consumer__v.user`. |
| `{id}` | The `id` value of the user or group to remove from the role. |

## Request

<CodeExample title="">
```bash
curl -X DELETE -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v25.1/objects/binders/1234/roles/consumer__v.user/1008313
```
</CodeExample>

## Response

<CodeExample title="">
```json
{
  "responseStatus": "SUCCESS",
  "responseMessage": "User/group deleted from role",
  "updatedRoles": {
    "consumer__v": {
      "users": [
        1008313
      ]
    }
  }
}
```
</CodeExample>

## Response Details

On `SUCCESS`, the response lists the `id` of the user or group removed from the binder role. On `FAILURE`, the response returns an error message describing the reason for the failure. For example, a user or group may not be removed if the role assignment is system-managed.

---

**Previous:** [Assign Users & Groups to Roles on a Single Binder](/commercial/vault-api/api-reference/26.1/document-binder-roles/binder-roles/assign-users-groups-to-roles-on-a-single-binder)  
**Next:** [Workflows](/commercial/vault-api/api-reference/26.1/workflows)